ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::xml::model::Pump::Impl Class Reference

Private implementation details of Pump model object. More...

Collaboration diagram for ome::xml::model::Pump::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
std::string | id
| ID property.
OMEModelObject::indexed_container< ome::xml::model::Laser, ome::compat::weak_ptr >::type | lasers
| Laser_BackReference back reference (occurs more than once)

## Detailed Description

Private implementation details of Pump model object.

The documentation for this class was generated from the following file:

- ome/xml/model/Pump.cpp